## gcc-3.3 3.3.6ds1

=== test/Makefile ===
# Makefile for the GNU Pascal Test Suite
#
# Copyright (C) 1996-2005 Free Software Foundation, Inc.
#
# Authors: J.J. van der Heijden <j.j.vanderheijden@student.utwente.nl>
#          Peter Gerwinski <peter@gerwinski.de>
#          Frank Heckenbach <frank@pascal.gnu.de>
#
# This file is part of GNU Pascal.
#
# GNU Pascal is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Pascal is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Pascal; see the file COPYING. If not, write to the
# Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

srcdir=.
SHELL=/bin/sh
MASK="*.pas"
PC=gpc
TEST_PATHS=
BASIC_PFLAGS=-g -O3 -W -Wall -Wno-unused
PFLAGS1=--autobuild  # can be removed when using GP
PFLAGS_NO_PATHS=$(BASIC_PFLAGS) $(EXTRA_PFLAGS) $(EXTRA_TEST_PFLAGS)
PFLAGS=$(TEST_PATHS) $(PFLAGS1) $(PFLAGS_NO_PATHS)
TEST_RUN_FLAGS=
GP=

all: pascal.check

.PHONY: all pascal.check pascal.check-short pascal.check-long pascal.check-long-nolog \
        mostlyclean clean distclean extraclean maintainer-clean

VARS=GP=$(GP) PC="$(PC)" PFLAGS="$(PFLAGS)" PFLAGS_NO_PATHS="$(PFLAGS_NO_PATHS)" SRCDIR="$(srcdir)" TEST_MAKE_FLAG=test-make-flag

pascal.check: pascal.check-dejagnu

pascal.check-dejagnu: clean
	$(VARS) "$(srcdir)/test_run" $(TEST_RUN_FLAGS) $(MASK) | tee test_log | "$(srcdir)/test_sum" -d

pascal.check-short: clean
	$(VARS) "$(srcdir)/test_run" $(TEST_RUN_FLAGS) $(MASK) | tee test_log | "$(srcdir)/test_sum" | tee test_summary

pascal.check-long: clean
	$(VARS) "$(srcdir)/test_run" $(TEST_RUN_FLAGS) $(MASK) | tee test_log

pascal.check-long-nolog: clean
	$(VARS) "$(srcdir)/test_run" $(TEST_RUN_FLAGS) $(MASK)

mostlyclean:
	-rm -f *.dat *.o *.s *.i *.gpi *.gpd *.gpc core a.out stderr.out *.exe testmake.tmp dummy.c dummy.pas dummy.out diff_cr*.tmp fixcr fixcr.exe
	-rm -f todo/a.out todo/*.exe todo/*.o todo/*.s todo/*.i todo/*.gpi todo/*.gpd todo/core

clean: mostlyclean

distclean: clean

extraclean: distclean
	-rm -f *.BAK *.bak *.orig gpc.out make.out b.out dtlist.* test_log test_summary gpc.log gpc.sum

maintainer-clean: extraclean

=== utils/Makefile ===
# Makefile for the GNU Pascal utilities
#
# Copyright (C) 2002-2005 Free Software Foundation, Inc.
#
# Author: Frank Heckenbach <frank@pascal.gnu.de>
#
# This file is part of GNU Pascal.
#
# GNU Pascal is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Pascal is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Pascal; see the file COPYING. If not, write to the
# Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# Variables to override
PC=gpc
CFLAGS=-O2 -g
PFLAGS=
UTILS_WARN=-W -Wall -Wmissing-prototypes -Wmissing-declarations
GCC_DIR=ERROR--GCC_DIR-MUST-BE-SET
exeext=
prefix=/usr/local
bindir=$(prefix)/bin
man1dir=$(prefix)/man/man1
INSTALL_PROGRAM=install -m 755
INSTALL_DATA=install -m 644
BUILD=unknown
HOST=unknown

srcdir=$(GCC_DIR)/p/utils
VPATH=$(srcdir)

# Internal variables
PFLAGS1=--executable-path=. --unit-path=$(GCC_DIR)/p/rts --unit-path=$(GCC_DIR)/p/units
EXE=binobj$(exeext) gpidump$(exeext)
EXE2=binobj gpidump
DOC=binobj.1 gpidump.1
PC_WITH_FLAGS=$(PC) --automake --executable-file-name $(UTILS_WARN) $(CFLAGS) $(PFLAGS) $(PFLAGS1) `cat needed-options`

all: $(EXE) $(DOC)

# The Pascal source is not used, but we have to provide any.
# `-x Preprocessed-Pascal /dev/null' works as well, except on mingw.
needed-options: binobj.pas $(GCC_DIR)/p/version.h
	$(PC) $(UTILS_WARN) $(CFLAGS) $(PFLAGS) $(PFLAGS1) --print-needed-options "$<" 2> "$@" || true
	if grep '^[^-]' "$@" > /dev/null; then echo "needed-options: `cat "$@"`" >&2; rm -f "$@"; false; else true; fi

binobj$(exeext): binobj.pas needed-options
	$(PC_WITH_FLAGS) "$<"

gpidump$(exeext): gpidump.pas tree.inc needed-options
	$(PC_WITH_FLAGS) -I. -I "$(GCC_DIR)/p" "$<"

binobj.1: binobj
	[ -r no-man ] || if [ x"$(BUILD)" != x"$(HOST)" ]; then \
	  echo "*** cross-compiling; man pages for the GPC utilities will not be built" >&2; \
	  echo cross-compile > no-man; \
	elif help2man --version > /dev/null 2>&1; then \
	  help2man -N ./"$<" > "$@" || { rm -f "$@"; false; } \
	else \
	  echo "*** help2man not found; man pages for the GPC utilities will not be built" >&2; \
	  echo no-help2man > no-man; \
	fi

gpidump.1: gpidump
	[ -r no-man ] || if [ x"$(BUILD)" != x"$(HOST)" ]; then \
	  echo "*** cross-compiling; man pages for the GPC utilities will not be built" >&2; \
	  echo cross-compile > no-man; \
	elif help2man --version > /dev/null 2>&1; then \
	  help2man -N ./"$<" > "$@" || { rm -f "$@"; false; } \
	else \
	  echo "*** help2man not found; man pages for the GPC utilities will not be built" >&2; \
	  echo no-help2man > no-man; \
	fi

tree.inc: $(GCC_DIR)/version.c $(GCC_DIR)/tree.def $(GCC_DIR)/p/p-tree.def $(GCC_DIR)/p/module.c
	"$(srcdir)/mk-t-inc" "$(GCC_DIR)" "$@"

install: $(EXE) $(DOC)
	for f in $(EXE); do \
	  rm -f $(bindir)/"$$f"; \
	  $(INSTALL_PROGRAM) "$$f" "$(bindir)/$$f"; \
	  chmod a+x $(bindir)/"$$f"; \
	done
	for f in $(DOC); do \
	  if [ -r "$$f" ]; then \
	    rm -f $(man1dir)/"$$f"; \
	    $(INSTALL_DATA) "$$f" "$(man1dir)/$$f"; \
	    chmod a-x $(man1dir)/"$$f"; \
	  fi; \
	done

clean:
	rm -f *.o *.i *.s *.gpi *.gpd $(EXE) $(EXE2) $(DOC) tree.inc needed-options

=== debian/changelog ===
gcc-3.3 (1:3.3.6ds1-34) unstable; urgency=medium

  * QA upload.
  * Fix dynamically generating README.Debian.

 -- Bastian Germann <bage@debian.org>  Wed, 24 Aug 2022 12:17:57 +0200

gcc-3.3 (1:3.3.6ds1-33) unstable; urgency=medium

  * QA upload.
  * Upgrade to 3.0 source format (Closes: #1007604).
  * Clear TODO (not related to libstdc++5).
  * Remove maintainers from README.Debian (orphaned).
  * Remove appearances of netbsd port.

 -- Bastian Germann <bage@debian.org>  Wed, 24 Aug 2022 11:17:36 +0200

gcc-3.3 (1:3.3.6ds1-32) unstable; urgency=medium

  * Orphan the package.

 -- Philipp Kern <pkern@debian.org>  Wed, 12 Aug 2020 20:41:21 +0200

gcc-3.3 (1:3.3.6ds1-31) unstable; urgency=medium

  * Bump debhelper compat level to 7.

 -- Philipp Kern <pkern@debian.org>  Sun, 12 Jul 2020 10:40:17 +0200

gcc-3.3 (1:3.3.6ds1-30) unstable; urgency=medium

  * Use ucontext_t instead of struct ucontext. (Closes: #887782)
  * Clarify that libstdc++5 is only still around for proprietary
    binaries that cannot be recompiled in the package's description.
    (Closes: #887783, #855851)

 -- Philipp Kern <pkern@debian.org>  Sun, 04 Feb 2018 16:11:34 +0100

gcc-3.3 (1:3.3.6ds1-29) unstable; urgency=medium

  * Stop build-depending on realpath, as it has been replaced with
    coreutils, which is essential. (Closes: #877815)
  * Drop Marc from Uploaders. (Closes: #873347)

 -- Philipp Kern <pkern@debian.org>  Sat, 07 Oct 2017 22:58:20 +0200

gcc-3.3 (1:3.3.6ds1-28) unstable; urgency=medium

  * Use debhelper compat level 5 instead of 2, 3, and 5. (Closes: #800267)

 -- Philipp Kern <pkern@debian.org>  Sun, 22 Nov 2015 20:18:09 +0000

gcc-3.3 (1:3.3.6ds1-27.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use a nonempty default target architecture as dpkg-architecture no
    longer supports "-a" without argument. (Closes: #770352)

 -- Simon Richter <sjr@debian.org>  Sun, 23 Nov 2014 18:58:06 +0100

gcc-3.3 (1:3.3.6ds1-27.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop all references to automake1.4 this time. (Closes: #724009)

 -- Eric Dorland <eric@debian.org>  Tue, 25 Feb 2014 15:42:55 -0500

gcc-3.3 (1:3.3.6ds1-27) unstable; urgency=low

  * Fix compilation on i386 and powerpc by using siginfo_t instead of
    struct siginfo.

 -- Philipp Kern <pkern@debian.org>  Sat, 16 Nov 2013 23:42:31 +0100

gcc-3.3 (1:3.3.6ds1-26) unstable; urgency=low

  * Stop build-depending on automake1.4. Patch by Eric Dorland.
    (Closes: #724009)
  * Use debhelper compat level 5 to avoid FTBFS due to removal of
    ancient compatibility levels.

 -- Philipp Kern <pkern@debian.org>  Wed, 13 Nov 2013 01:23:15 +0100

gcc-3.3 (1:3.3.6ds1-25) unstable; urgency=low

  * Multiarch'ify libstdc++5.
    Thanks to Felix Geyer <debfx-pkg@fobos.de> for the full patch!
    (Closes: #636277)
  * Drop lpia everywhere.

 -- Philipp Kern <pkern@debian.org>  Mon, 10 Oct 2011 22:26:38 +0200

gcc-3.3 (1:3.3.6ds1-24) unstable; urgency=low

  * Fix FTBFS with multiarch.  (Closes: #629665)

 -- Philipp Kern <pkern@debian.org>  Mon, 01 Aug 2011 22:53:10 +0200

gcc-3.3 (1:3.3.6ds1-23) unstable; urgency=low

  * Fix FTBFS with -D_FORTIFY_SOURCE=2.  (Closes: #620158)

 -- Philipp Kern <pkern@debian.org>  Thu, 05 May 2011 23:01:54 +0200

gcc-3.3 (1:3.3.6ds1-22) unstable; urgency=low

  * Export SHELL from debian/rules.defs, to override any wrong variable
    content inherited from the outside environment.  (Closes: #614114)
  * Drop the alternative automake build-dependency and stick to automake1.4
    only.

 -- Philipp Kern <pkern@debian.org>  Sun, 20 Mar 2011 14:35:31 +0100

gcc-3.3 (1:3.3.6ds1-21) unstable; urgency=low

  * Drop explicit build dependency on gcc-4.1.  (Closes: #613660)

 -- Philipp Kern <pkern@debian.org>  Wed, 16 Feb 2011 23:02:56 +0100

gcc-3.3 (1:3.3.6ds1-20) unstable; urgency=low

  * rules.defs: Set GFDL_INVARIANT_FREE unconditionally to `yes'.
    (Closes: #586011)

 -- Philipp Kern <pkern@debian.org>  Sun, 20 Jun 2010 13:12:54 +0200

gcc-3.3 (1:3.3.6ds1-19) unstable; urgency=low

  * New maintainer.
  * Reintroduce the package into Debian unstable to be released with
    Debian squeeze.
  * Build with gcc-4.1 instead of gcc-3.4 because the latter is no longer
    available.
  * Add symbol files as generated by mole for amd64, i386 and powerpc.
  * Drop lpia for missing symbol files.

 -- Philipp Kern <pkern@debian.org>  Thu, 25 Feb 2010 12:03:31 +0100

gcc-3.3 (1:3.3.6ds1-18) unstable; urgency=low

  * Build libstdc++5 on powerpc again, needed by some JVM's.
  * Remove build dependency on expect-tcl8.3 (package is not built anymore
    on hppa). Closes: #472984.

 -- Matthias Klose <doko@debian.org>  Tue, 15 Jul 2008 21:08:10 +0200

gcc-3.3 (1:3.3.6ds1-17) unstable; urgency=low

  * libstdc++5: Remove dependency on gcc-3.3-base. Closes: #473366.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Mar 2008 10:58:08 +0200

gcc-3.3 (1:3.3.6ds1-16) unstable; urgency=low

  * Don't build compiler packages from the gcc-3.3 source. The only package
    built is libstdc++5 (amd64, i386).
  * Build-depend on gcc-3.4 instead of gcc-3.3.

 -- Matthias Klose <doko@debian.org>  Sat, 29 Mar 2008 15:11:54 +0100

gcc-3.3 (1:3.3.6ds1-15) unstable; urgency=medium

  * Fix biarch related build failure on s390.
  * Don't build the gcc-3.3-hppa64 package on hppa.

 -- Matthias Klose <doko@debian.org>  Wed,  3 Jan 2007 18:51:06 +0100

gcc-3.3 (1:3.3.6ds1-14) unstable; urgency=low

  * Build without GFDL licensed docs. Closes: #193787.
    - debian/*.texi, debian/porting.html: Add dummy documentation.
    - debian/rules.unpack, debian/rules.patch: Update for non-gfdl build.
  * Don't build cpp-3.3-doc, gcc-3.3-doc, packages.
  * Merge from Ubuntu:
    - Backport the biarch-include patches from gcc-3.4,
      adding /usr/include/<target_alias> to the standard include path.
      Fixes build failure on sparc.
    - Remove the multilib part from the multiarch-include patch.


=== debian/control ===
Source: gcc-3.3
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.6.2
Build-Depends: dpkg-dev (>= 1.16.0), libc0.3-dev [hurd-i386] | libc0.1-dev [kfreebsd-i386] | libc6-dev (>= 2.3.2.ds1-16), m4, autoconf2.13, libtool, autotools-dev, gawk, dejagnu (>= 1.4.3) [!hurd-i386], bzip2, binutils (>= 2.15-7) | binutils-multiarch (>= 2.15-7), debhelper (>= 8.1.3), gperf (>= 2.7-3), bison (>= 1:1.875), flex, gettext, texinfo (>= 4.3), zlib1g-dev, libgc-dev, locales [!hurd-i386 !hurd-i386], procps [!hurd-i386], sharutils, lsb-release, doxygen (>= 1.4.2-3), graphviz (>= 2.2), gsfonts-x11

Package: libstdc++5
Architecture: amd64 i386 powerpc
Section: libs
Priority: optional
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The GNU Standard C++ Library v3
 This package contains an additional runtime library for C++ programs
 built with the GNU compiler.
 .
 This package contains an old version of libstdc++ intended solely for
 compatibility with proprietary binaries that cannot be recompiled.

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-
# Build rules for gcc (>= 2.95) and gcc-snapshot
# Targets found in this makefile:
#	- unpack tarballs
#	- patch sources
#	- (re)create the control file
#	- create a debian/rules.parameters file, which is included
#	  by debian/rules2
# All other targets are passed to the debian/rules2 file

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

default: build

include debian/rules.defs
include debian/rules.unpack
include debian/rules.patch

build_only_archs = amd64 i386 powerpc

pre-build:
ifeq (,$(filter $(DEB_TARGET_ARCH), $(build_only_archs)))
	@echo "The package is not built anymore for $(DEB_TARGET_ARCH)"
	@exit 42
endif

control: $(control_dependencies)
	-mkdir -p $(stampdir)
	$(MAKE) -f debian/rules.conf $@

configure: $(configure_dependencies)
$(configure_stamp): control $(unpack_stamp) $(patch_stamp)
	$(MAKE) -f debian/rules2 $@
$(configure_dummy_stamp): control
	$(MAKE) -f debian/rules2 $@
$(configure_hppa64_stamp): $(build_stamp)
	$(MAKE) -f debian/rules2 $@

build: pre-build $(build_dependencies)
$(build_stamp): $(unpack_stamp) $(patch_stamp) $(configure_stamp)
	$(MAKE) -f debian/rules2 $@
$(build_dummy_stamp): $(configure_dummy_stamp)
	$(MAKE) -f debian/rules2 $@
$(build_hppa64_stamp): $(configure_hppa64_stamp)
	$(MAKE) -f debian/rules2 $@

check: $(build_stamp)
	$(MAKE) -f debian/rules2 $@

clean:
	rm -rf $(stampdir)
# remove temporary dirs used for unpacking
	rm -rf $(gcc_srcdir) $(gpc_srcdir) p
	-$(MAKE) -f debian/rules2 $@
	rm -rf $(srcdir) $(builddir)* debian/tmp* html
	rm -f bootstrap-* first-move-stamp
	rm -f debian/*.tmp
	-find debian -name '.#*' | xargs rm -f
	dh_clean

install: $(install_dependencies)
$(install_stamp): $(build_stamp)
	$(MAKE) -f debian/rules2 $@
$(install_dummy_stamp): $(build_dummy_stamp)
	$(MAKE) -f debian/rules2 $@
$(install_hppa64_stamp): $(build_hppa64_stamp)
	$(MAKE) -f debian/rules2 $@

html-docs doxygen-docs xxx:
	$(MAKE) -f debian/rules2 $@

binary-indep binary-arch binary: install
	$(MAKE) -f debian/rules2 $@

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

release:
	foo=$(shell basename $(CURDIR)); \
		if [ "$$foo" != "gcc-3.3" ]; then \
			find -name CVS -o -name .cvsignore -o -name '.#*' | \
				xargs rm -rf; \
		fi

.PHONY: build clean binary-indep binary-arch binary release

=== debian/watch ===
version=2
ftp://gcc.gnu.org/pub/gcc/releases/gcc-(3\.3[\d\.]*)	debian	uupdate
